Bug 31799 - Small bug in sysvinit-2.78-notty.patch
Summary: Small bug in sysvinit-2.78-notty.patch
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: SysVinit (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-14 20:47 UTC by dan
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-14 20:51:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corrected version of sysvinit-2.78-notty.patch (484 bytes, patch)
2001-03-14 20:51 UTC, dan
no flags Details | Diff

Description dan 2001-03-14 20:47:35 UTC
SysVinit-2.78-12 has bug in sysvinit-2.78-notty.patch patch that under some
artificial conditions can lead to not releasing newly open file handle for
tty. Incorrect statement in patch was '  if (fd>0) close(fd);' Correct
statement will be '  if (fd >= 0) close(fd);' . Attachment is a corrected
patch.

Comment 1 dan 2001-03-14 20:51:26 UTC
Created attachment 12664 [details]
Corrected version of sysvinit-2.78-notty.patch

Comment 2 Bill Nottingham 2001-03-15 17:55:36 UTC
Should be fixed in 2.78-13 - thanks!


Note You need to log in before you can comment on or make changes to this bug.